Patchwork [1,of,9,V3] mail: unsupport smtp.verifycert (BC)

login
register
mail settings
Submitter Yuya Nishihara
Date June 3, 2016, 2:33 p.m.
Message ID <20160603233326.65ee72e4@mimosa>
Download mbox | patch
Permalink /patch/15370/
State Superseded
Commit 63a3749147afc9b7649713c369467a2aed336297
Headers show

Comments

Yuya Nishihara - June 3, 2016, 2:33 p.m.
On Wed, 01 Jun 2016 20:16:15 -0700, Gregory Szorc wrote:
> # HG changeset patch
> # User Gregory Szorc <gregory.szorc@gmail.com>
> # Date 1464747586 25200
> #      Tue May 31 19:19:46 2016 -0700
> # Node ID a1cda46a74533090f22bd596b206ddf9090d6bd2
> # Parent  48b38b16a8f83ea98ebdf0b370f59fd90dc17935
> mail: unsupport smtp.verifycert (BC)

> -    verifycert = ui.config('smtp', 'verifycert', 'strict')
> -    if verifycert not in ['strict', 'loose']:
> -        if util.parsebool(verifycert) is not False:
> -            raise error.Abort(_('invalid smtp.verifycert configuration: %s')
> -                             % (verifycert))
> -        verifycert = False

patchbomb.py has a hack to adjust verifycert option. Can you send revised
version of this and the last patch? I'll take the other patches, thanks.

Patch

--- tests/test-check-config.t
+++ tests/test-check-config.t.err
@@ -7,3 +7,4 @@ 
 
   $ hg files "set:(**.py or **.txt) - tests/**" | sed 's|\\|/|g' |
   >   python contrib/check-config.py
+  undocumented: smtp.verifycert (str) ['strict']